DH_INSTALLMANPAGES(1)

NAME
dh_installmanpages - old-style man page installer (deprecated)

SYNOPSIS
dh_installmanpages [debhelper options] [file ...]

DESCRIPTION
dh_installmanpages is a debhelper program that is responsible for automatically installing man pages into usr/share/man/ in package build directories.

This is a DWIM-style program, with an interface unlike the rest of debhelper. It is deprecated, and you are encouraged to use dh_installman(1) instead.

dh_installmanpages scans the current directory and all subdirectories for filenames that look like man pages. (Note that only real files are looked at; symlinks are ignored.) It uses file(1) to verify that the files are in the correct format. Then, based on the files' extensions, it installs them into the correct man directory.

All filenames specified as parameters will be skipped by dh_installmanpages. This is useful if by default it installs some man pages that you do not want to be installed.

After the man page installation step, dh_installmanpages will check to see if any of the man pages are .so links. If so, it changes them to symlinks.

OPTIONS

file ...
    Do not install these files as man pages, even if they look like valid man pages.

BUGS
dh_installmanpages will install the man pages it finds into all packages you tell it to act on, since it can't tell what package the man pages belong in. This is almost never what you really want (use -p to work around this, or use the much better dh_installman(1) program instead).

Files ending in .man will be ignored.

Files specified as parameters that contain spaces in their filenames will not be processed properly.

SEE ALSO
debhelper(7)

This program is a part of debhelper.

AUTHOR
Joey Hess <joeyh@debian.org>